org.eclipse.actf.visualization.eval

## Interface IHtmlChecker

All Superinterfaces:
  IChecker

    public interface IHtmlChecker
    extends IChecker

Interface to implement checker for HTML content

See Also:
  `IChecker`

### Method Summary

Methods
`List<IProblemItem>` `checkHtml(IHtmlCheckTarget checkTarget)` Check target HTML and return detected issues

### Methods inherited from interface org.eclipse.actf.visualization.eval.IChecker

`check, isEnabled, isTargetFormat`

### Method Detail

#### checkHtml

    List<IProblemItem> checkHtml(IHtmlCheckTarget checkTarget)

Check target HTML and return detected issues

Parameters:
  `checkTarget` - information of target HTML
Returns:
  detected issues as list of `IProblemItem`